# Generated from workarea-authorize_cim-2.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name workarea-authorize_cim

Name: rubygem-%{gem_name}
Version: 2.1.3
Release: 1%{?dist}
Summary: Authorize.Net CIM Integration for WorkArea
License: Business Software License
URL: https://github.com/workarea-commerce/workarea-authorize_cim
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(rubocop) >= 0.49
# BuildRequires: rubygem(rubocop) < 1
BuildArch: noarch

%description
Authorize.Net CIM Integration for WorkArea.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.editorconfig
%{gem_instdir}/.eslintrc.json
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.rails-rubocop.yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.stylelintrc.json
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test
%{gem_instdir}/workarea-authorize_cim.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 2.1.3-1
- Initial package
